Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#58976 closed defect (duplicate)

libimobiledevice 1.2.0_3: It's not possible to build it - always dying

Reported by: elcheco (Miroslav Koula) Owned by:
Priority: Normal Milestone:
Component: ports Version: 2.5.4
Keywords: Cc: ijackson@…
Port: libimobiledevice

Description

I wanted to upgrade outdated ports and I get into the problem with this library where there was some change a day ago:

mIREK@localhost: sudo port install libimobiledevice
--->  Computing dependencies for libimobiledevice
--->  Fetching archive for libimobiledevice
--->  Attempting to fetch libimobiledevice-1.2.0_3.darwin_18.x86_64.tbz2 from https://packages.macports.org/libimobiledevice
--->  Attempting to fetch libimobiledevice-1.2.0_3.darwin_18.x86_64.tbz2 from http://lil.fr.packages.macports.org/libimobiledevice
--->  Attempting to fetch libimobiledevice-1.2.0_3.darwin_18.x86_64.tbz2 from http://nue.de.packages.macports.org/libimobiledevice
--->  Fetching distfiles for libimobiledevice
--->  Verifying checksums for libimobiledevice
--->  Extracting libimobiledevice
--->  Configuring libimobiledevice
--->  Building libimobiledevice
Error: Failed to build libimobiledevice: command execution failed
Error: See /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_macports_release_tarballs_ports_devel_libimobiledevice/libimobiledevice/main.log for details.

I will attach the main.log

Attachments (1)

main.log (100.3 KB) - added by elcheco (Miroslav Koula) 3 years ago.
Error log

Download all attachments as: .zip

Change History (6)

Changed 3 years ago by elcheco (Miroslav Koula)

Attachment: main.log added

Error log

comment:1 Changed 3 years ago by kencu (Ken)

macports upgraded to openssl 1.1.1 yesterday, and a few ports still need to be updated to build against the new version.

Looks like this is one of them! Thanks for the ticket; we'll try and get this fixed shortly.

comment:2 Changed 3 years ago by elcheco (Miroslav Koula)

I thought it will be something like that, unlucky it's a cross dependency for some packages like php-imap, php-openssl in all versions etc. so I need to wait. Thank you for the quick reaction ;-)

comment:3 Changed 3 years ago by kencu (Ken)

this ticket is actually a duplicate of 58963 so we'll follow the fix in that original ticket...

comment:4 Changed 3 years ago by kencu (Ken)

Resolution: duplicate
Status: newclosed

comment:5 Changed 3 years ago by mf2k (Frank Schima)

Keywords: JacksonIsaac removed
Priority: HighNormal
Note: See TracTickets for help on using tickets.